#!/bin/bash

base="/home/mini2440/qemu/mini2440"

echo Starting in $base

name_nand="$base/mini2440_nand.bin"
name_snapshots="$base/mini2440_snapshots.img"

if [ ! -f "$name_nand" ]; then
	echo $0 : creating NAND empty image : "$name_nand"
	sudo dd if="$base"/u-boot.bin of="$name_nand" bs=528 count=131072
fi
if [ ! -f "$name_snapshots" ]; then
	echo $0 : creating empty snapshot image : "$name_snapshots"
	sudo qemu-img create "$name_snapshots" 100MB
fi


cmd="arm-softmmu/qemu-system-arm \
	-M mini2440 $* \
	-drive file=$name_snapshots,snapshot=on \
	-serial stdio \
	-kernel "$base"/uImage_16k \
	-mtdblock "$name_nand" \
	-show-cursor \
	-usb -usbdevice keyboard -usbdevice mouse"

# cmd="gdbserver :3333 $cmd"
#	-monitor unix:.mini2440_monitor,server,nowait"

echo $cmd
$cmd
